#ifndef ICON_H
#define ICON_H

#include <pshpack1.h>

typedef struct tagCHUNKHEADER
{
    DWORD32 Length;
    DWORD32 Type;
} CHUNKHEADER;

typedef struct tagIHDR
{
    CHUNKHEADER hdr;
    DWORD32 Width;
    DWORD32 Height;
    BYTE BitDepth;
    BYTE ColorType;
    BYTE CompressionMethod;
    BYTE FilterMethod;
    BYTE InterlaceMethod;
    DWORD32 Crc;
} IHDR;

typedef struct tagPNG
{
    BYTE bSignature[8];
    union
    {
        CHUNKHEADER hdr;
        IHDR ihdr;
    };
} PNG;

typedef struct
{
    BYTE    bWidth;         // Width of the image
    BYTE    bHeight;        // Height of the image (times 2)
    BYTE    bColorCount;    // Number of colors in image (0 if >=8bpp)
    BYTE    bReserved;      // Reserved
    WORD    wPlanes;        // Color Planes
    WORD    wBitCount;      // Bits per pixel
    DWORD   dwBytesInRes;   // how many bytes in this resource?
    DWORD   dwImageOffset;  // where in the file is this image
} ICONDIRENTRY, *PICONDIRENTRY;

typedef struct 
{
    WORD            idReserved;     // Reserved
    WORD            idType;         // resource type (1 for icons)
    WORD            idCount;        // how many images?
    ICONDIRENTRY    idEntries[1];   // the entries for each image
} ICONDIR, *PICONDIR;

typedef struct
{
    BITMAPINFOHEADER    icHeader;       // DIB header
    RGBQUAD             icColors[1];    // Color table
    BYTE                icXOR[1];       // DIB bits for XOR mask
    BYTE                icAND[1];       // DIB bits for AND mask
} ICONIMAGE, *LPICONIMAGE;

#include <poppack.h>
#include <pshpack2.h>

typedef struct
{
    BYTE   bWidth;          // Width, in pixels, of the image
    BYTE   bHeight;         // Height, in pixels, of the image
    BYTE   bColorCount;     // Number of colors in image (0 if >=8bpp)
    BYTE   bReserved;       // Reserved
    WORD   wPlanes;         // Color Planes
    WORD   wBitCount;       // Bits per pixel
    DWORD  dwBytesInRes;    // how many bytes in this resource?
    WORD   nID;             // the ID
} GRPICONDIRENTRY, *LPGRPICONDIRENTRY;

typedef struct 
{
    WORD            idReserved;     // Reserved (must be 0)
    WORD            idType;         // Resource type (1 for icons)
    WORD            idCount;        // How many images?
    GRPICONDIRENTRY idEntries[1];   // The entries for each image
} GRPICONDIR, *LPGRPICONDIR;

#include <poppack.h>

#endif
