//
//  Values are 32 bit values laid out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +-+-+-+-+-+---------------------+-------------------------------+
//  |S|R|C|N|r|    Facility         |               Code            |
//  +-+-+-+-+-+---------------------+-------------------------------+
//
//  where
//
//      S - Severity - indicates success/fail
//
//          0 - Success
//          1 - Fail (COERROR)
//
//      R - reserved portion of the facility code, corresponds to NT's
//              second severity bit.
//
//      C - reserved portion of the facility code, corresponds to NT's
//              C field.
//
//      N - reserved portion of the facility code. Used to indicate a
//              mapped NT status value.
//
//      r - reserved portion of the facility code. Reserved for internal
//              use. Used to indicate HRESULT values that are not status
//              values, but are instead message ids for display strings.
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//


//
// Define the severity codes
//


//
// MessageId: MSGID_HEADER_SINGLE
//
// MessageText:
//
// This file contains one image:
//
#define MSGID_HEADER_SINGLE              ((DWORD)100L)

//
// MessageId: MSGID_HEADER_MULTIPLE
//
// MessageText:
//
// This file contains %1!u! images:
//
#define MSGID_HEADER_MULTIPLE            ((DWORD)101L)

//
// MessageId: MSGID_IMAGEINFO
//
// MessageText:
//
// %1!u!: %2!u!x%3!u! Pixels, %4!u! Bits Per Pixel (%5!I64u! Colors)
//
#define MSGID_IMAGEINFO                  ((DWORD)102L)

